package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户信息对象 customer
 * 
 * @author ruoyi
 * @date 2022-05-01
 */
public class Customer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 头像图地址 */
    @Excel(name = "头像图地址")
    private String headSculpturePath;

    /** 用户来源 */
    @Excel(name = "用户来源")
    private String soucre;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setHeadSculpturePath(String headSculpturePath) 
    {
        this.headSculpturePath = headSculpturePath;
    }

    public String getHeadSculpturePath() 
    {
        return headSculpturePath;
    }
    public void setSoucre(String soucre) 
    {
        this.soucre = soucre;
    }

    public String getSoucre() 
    {
        return soucre;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userName", getUserName())
            .append("phone", getPhone())
            .append("createTime", getCreateTime())
            .append("headSculpturePath", getHeadSculpturePath())
            .append("soucre", getSoucre())
            .toString();
    }
}
